LPRM(1)

NAME
lprm - remove jobs from the line printer spooling queue

SYNOPSIS
lprm [ -a ] [ -A ] [ -Ddebugopt ] [ -Pprinter ] [ -V ]
[ jobid... ] [ all ]

DESCRIPTION

Lprm will send a request to the LPD server to remove jobs from a spool queue. (See clean(1) for an lp(1) compatible interface.) Lprm is normally the only method by which a user may remove a job. The jobs to be removed are specified by the job number or user name; with no specifiers the first removable in a queue will be selected for removal. Usually users may only remove jobs submitted by themselves from the host which originated the original lpr request.

The spool queue is searched first for jobs that the user has permissions to remove, then for jobs that match any of the specified set of tags. If no tags are specified, only the first job in the queue that the user has permissions to remove will be removed. If the -a flag or the all spool queue is specified, lprm will search all available spool queues.

The all wildcard jobid is used to match all jobs in a spool queue; however unless the user has control permissions for the spool queue only the user's jobs will be removed. See the lpd(1) man page for details about control permissions.

A jobid can be a job number, a user name, a job identifier, or a pattern for a glob based wild card match. This match is applied to the job identifier information.

Lprm will announce the names of any files it removes and is silent if there are no jobs in the queue which match the request list. If the job being removed is active, the LPD server will stop printing the job and then restart printing operations.

EXAMPLES

Remove the last job I submitted if it is in the queue:

    lprm

Remove job 25 in spool queue p1:

    lprm -Pt1 25

Remove job 25 and 30 in spool queue p1:

    lprm -Pt1 25 30

Remove all of user john's jobs in spool queue p1:

    lprm -Pt1 john

Remove all jobs in spool queue p1:

    lprm -Pt1 all

Remove all jobs in all spool queues:

    lprm -a all

Remove the jobs with identifier nobody@system in spool queue p1.
    Note that the quotes around the pattern are needed to suppress shell glob expansion.

    lprm -Pt1 'nobody@system*'

OPTIONS

-A  Use authentication when sending a request to the server.

-a  Remove files from all spool queues available to the user.

-Pprinter
    Specifies printer queue. If it is not provided, the default printer is the value of the PRINTER environment variable, or the first printer in the printcap database if it is not defined.

-Ddebugopts
    Debugging is controlled using the -D option. This accepts a comma-separated list of debugging settings. These settings take one of two forms: facility=value , or value to set an overall default value.

-V  The -V option prints the version information for the program and verbose information about activities.

WARNINGS

Users with CONTROL (i.e.- administrative) permissions on spool queues can remove any or all jobs. The all wildcard defaults to all user jobs, not just those submitted by the user. This allows administrators to purge a spool queue easily.

FILES

The files used by LPRng are set by values in the printer configuration file. The following are a commonly used set of default values.
/etc/lpd.conf		LPRng configuration file
/etc/printcap		printer description file
/etc/lpd.perms	printer permissions
/var/spool/printer*		spool directories
/var/spool/printer*/printer	lock file for queue control
/var/spool/printer*/control.printer	queue control
/var/spool/printer*/active.printer	active job
/var/spool/printer*/log.printer	log file

SEE ALSO
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.conf(5), pr(1).

DIAGNOSTICS
Most of the diagnostics are self explanatory.
If you are puzzled over the exact cause of failure,
set the debugging level on (-D5) and run again.
The debugging information will
help you to pinpoint the exact cause of failure.

HISTORY

LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. In 1988 Patrick Powell released the PLP (Public Line Printer) software, which went through several evolutions. Justin Mason (jmason@iona.ie) generated PLP4.0 from several older releases of PLP. In 1992 Patrick Powell release LPRng, a completely redesigned and newly written version of the software.

The LPRng mailing list is plp@iona.ie; subscribe by sending mail to plp-request@iona.ie with the word subscribe in the body. The software is available from ftp://iona.ie/pub/LPRng.

LPRng is distributed under the GNU software license for non-commercial use, the Artistic License for limited commercial use. Commerical support and licensing is available through Patrick Powell <papowell@sdsu.edu>.